genkernel: cleaned up old ebuilds, added latest one, ready for linux-3.x

This commit is contained in:
grimmlin 2011-10-16 22:10:22 +00:00
parent 9c66aaa56b
commit b55f0ac025
11 changed files with 101 additions and 1738 deletions

View file

@ -1,29 +1,17 @@
AUX genkernel-3.4.9-modules.patch 6924 RMD160 48e223ddb3cfedcccf8675ebb21a233d64a05a86 SHA1 5a0ddf09bf3480abee6f4f02a1b1db6ffb489c64 SHA256 4a0b387a68a2127e38e33324c6bb25ddaa73b2c2cb2b1433e47e6719c4353dfa
AUX genkernel-3.4.9-regress.patch 25477 RMD160 79baf6d8521ba4b070ba1713d764b1156d1c6603 SHA1 e1209a012613b5300cc3153f8d3a97e814d12e23 SHA256 a29e181a1b8e3fb764d6e186fe2c5493e5ae8580407078e1d7ee867f43b0fc3d
AUX genkernel.bash 2438 RMD160 b3d8e4436d8768c07d18c5aaff9c14fc16641729 SHA1 e15a9c6ef506aa6872a6a97d26751246dedded04 SHA256 e7de9771ba79ef878e2c9a21a1c1720f092c6047d3cc7d4a49ff6b90e7e2c248
DIST LVM2.2.02.28.tgz 531905 RMD160 bf6f25db6e34bf362353ae9557691a7f01962502 SHA1 6eb2f6e1228b017ad23d0b7f2bb12fd113f96616 SHA256 2d8d7b123e427d0bfb7471d7c17dfd88890eb98257ca22ea3be5d7307e83aceb
DIST LVM2.2.02.74.tgz 943084 RMD160 e5cb2a9e304c4075f05aecd03d67aa53eda9e43e SHA1 fc6cd04e4a908906c6f596ad99948140728be99c SHA256 a40c80c5b9a2547b8bd63e9321d7037c8bf041a35f734a5766ad2848d80bb697
DIST busybox-1.18.1.tar.bz2 2129404 RMD160 fb40d19103945eb1cd785a6041e5545f4055b8f6 SHA1 83b86858599870e46236da8d370d335d48cee77e SHA256 33eb25ea7b20c727c3af769256b21408a1ac1f927ff9f89a1f1e3767c18c9967
DIST busybox-1.7.4.tar.bz2 1727940 RMD160 a4b71a246449f88a59acda6ecf019f66b9b7c19b SHA1 e5dcaa25525ca63663c3d4e7027897fed54a4f95 SHA256 8480a7c1b9ac0fddff55e8daae807ccf0a47aa292137fa8c9f97cf0733b459c7
DIST device-mapper.1.02.22.tgz 189726 RMD160 8bf9986536c49f53c398d6a2180e21e1235bea18 SHA1 a4533872c32951a1b549bb9207a13b7e4dae0701 SHA256 ff833a6cd6246686f5b3f5692fd6597f1ffbc60f08929e5fe68304cdafb61595
DIST dmraid-1.0.0.rc14.tar.bz2 164234 RMD160 9cd238a981cfef9c5c1f2f1d6466b70c95ec9c7c SHA1 2b3284db46a995967d88993ae5ae36b57c513bc4 SHA256 a777354d6d69a9b58d84966cc7b37bc3f5c89539f885ad25fd874ed1c388fbec
DIST e2fsprogs-1.39.tar.gz 3695111 RMD160 67e77a7cbf0e719fa8b5a8ac6285b334e1c3481b SHA1 c2dad0c9bd76701eafe3804e2a7d072aa198f046 SHA256 dc2033447e69a1612881151f6f163e8a3b80e51d16f5e8b3576f3f8ccb325ea3
DIST e2fsprogs-1.40.9.tar.gz 4092812 RMD160 1cc51cb1b4bdcb338a2fdff50c79f38fb6e09eef SHA1 c584e9a8d3c444f42f4c0a786bb94f4a00ea2b48 SHA256 ab6852230dcb30d75f640125a5d0c7b496bbc31502afdb76528e3bcd4089c9e4
DIST e2fsprogs-1.41.14.tar.gz 4512157 RMD160 bdd22a93f57de1145007bffd6fc45323098e27e8 SHA1 24f9364fa3d4c0d7d00cb627b819d0e51055d6c5 SHA256 3f8ac1fedd7c4bec480afcbe4acabdd4ac59ec0446a0fd50c8975cd0aad7b176
DIST fuse-2.7.4.tar.gz 506658 RMD160 fe1808cfd58ad6651259245b424301e99881faa2 SHA1 7a86f5cf39f38e64ccbae093599d64a895b950ba SHA256 c8b070ece5d4e09bd06eea6c28818c718f803d93a4b85bacb9982deb8ded49e6
DIST genkernel-3.4.10.tar.bz2 186298 RMD160 a2cf449135b7c61b345db567fbb1bbbbc409e3b0 SHA1 d492eee6c0111eea2cdf099d084f81fdf1db82e9 SHA256 758e65d54c9a5d5e2e73a31d37cf87403dfab08314e8a302bd94d754689390f3
DIST genkernel-3.4.9.tar.bz2 157252 RMD160 767cd8e223ac59202b6ea9e85f361ac3d5736276 SHA1 5b6307d13f07cdf6b2c147e90a58658d75fa82cc SHA256 161eeaaef365ca6078d5e30901bb1721cf115fdec405d88c28a518dcf2127e90
DIST genkernel-pkg-3.4-r3.tar.bz2 1915282 RMD160 8424628e94c51d500f7b28532901ad0c5e53ee38 SHA1 a4fec14ca086098fbe3d62810bf7892f7c0da326 SHA256 0681579b34705de7fc7ec7a08154cea9dc21142b612f4b7d904a4b588e3de684
DIST gnupg-1.4.11.tar.bz2 3407075 RMD160 9daf2dedfd4c6211fc13b8cdee8f08b8f5925378 SHA1 78e22f5cca88514ee71034aafff539c33f3c6676 SHA256 d18ceeac16e554a501170b9bfde611625252d0fe9448685a69c93bf149ee6ef6
DIST mdadm-3.1.4.tar.bz2 288578 RMD160 f41a2be4158efac08dbe2e95f1c6812609475fad SHA1 4ee43922d38b15a930daaaa026ef1b4efacdbc8a SHA256 849ad0ad4ad3c1d2d8806a16b30e1f59ab2daf313cb103807207f7cba889ea63
DIST open-iscsi-2.0-872.tar.gz 900081 RMD160 4eacb8a94cf7712f936b52a961fa7f11774dde67 SHA1 96880185791177ba7b8970742572b46ebfe901cd SHA256 37753697a170223ac02a292b3a23a315a3c747b490c42480e4057b676c9f8d4f
DIST unionfs-1.5pre-cvs200701042308.tar.gz 163418 RMD160 6d54be6db26a562dd943df2de9cf0e0138c45c6f SHA1 9559a0ae8e0552a9c3644c85a99c1be601c837fc SHA256 d1925eee22517df72828a7c75890c20a54335e135f6ed04ea43f8771c9b1c271
DIST unionfs-fuse-0.22.tar.bz2 27355 RMD160 f29cbf41af0ba8f2181ac565a6663871676f6488 SHA1 e95799923ee3938e1fb44c6fd9aa7154d720063e SHA256 fa0c494a8ce63f235601fcc35e3a96527831169d6d5921ee49faccf3b25feb78
EBUILD genkernel-3.4.10-r3.ebuild 4211 RMD160 d8012f4bc99d052da3c9e1ab33ffde44c3dd879e SHA1 b89728bfd15955ee550328e615bd64a58df57e3a SHA256 3589e49f86d3d4da1a0eae9b554758f850fc8e69cf228f7c884cd21c173b0a45
EBUILD genkernel-3.4.10-r4.ebuild 4213 RMD160 727c51a795a5c612285f58d360088e7889329d12 SHA1 ffeed0d8b41db153dce86f1a11cd6c689c799df8 SHA256 1548f37cd44ac6163011ff8d1f8e1032a2b401585dc978f08aa31eb97df478dc
EBUILD genkernel-3.4.16.ebuild 5665 RMD160 52ff5fb0c67184bdbc270565c07fea7a661796d5 SHA1 0191b209bdaca7b0ec5d4740e12a9005f0a36cac SHA256 34a7a13b0c5b48f43a3a06f537d62bd1b49ddb7775fbe943d06354eea4edec5b
EBUILD genkernel-3.4.9-r3.ebuild 3749 RMD160 fb86bddccd22b706d7c5a2964eeeb78985ec3f56 SHA1 a260c0bf703c9d2b75df84f1b3edec988b365668 SHA256 66d3283b753a0f962e5377c92fd255c54f0a6f7c26d8263b68cf462946aba60d
EBUILD genkernel-9999.1602.ebuild 4205 RMD160 fc4377d1abc9839ad1625cd8e481753e4c19d02e SHA1 31fe7d40de7de4f1352dc12aaca91c8b514752af SHA256 cecf24aa7b752b828f8ce0b3a831bb0d401f2f7ac8484573419b71ed8f565dc8
EBUILD genkernel-9999.2122.ebuild 4327 RMD160 f8cebfe16300ccfcdc353c894fe179bcdf202f47 SHA1 e71f8aa75d139460ac99cbed110c9a22df8fa9ac SHA256 cacb6481bea56d9635e5ff5eb9090d9160ddeadfa39c39c715bfdc7b96c5925f
EBUILD genkernel-9999.2206.ebuild 4327 RMD160 f8cebfe16300ccfcdc353c894fe179bcdf202f47 SHA1 e71f8aa75d139460ac99cbed110c9a22df8fa9ac SHA256 cacb6481bea56d9635e5ff5eb9090d9160ddeadfa39c39c715bfdc7b96c5925f
EBUILD genkernel-9999.2395.ebuild 4327 RMD160 f8cebfe16300ccfcdc353c894fe179bcdf202f47 SHA1 e71f8aa75d139460ac99cbed110c9a22df8fa9ac SHA256 cacb6481bea56d9635e5ff5eb9090d9160ddeadfa39c39c715bfdc7b96c5925f
EBUILD genkernel-9999.2537.ebuild 5062 RMD160 b0f5eff9d7fbc0eb0ad47f2903155d122dbc57d8 SHA1 d2d2f2ba696e0be8ed17a851613f1d250bd4a4d6 SHA256 b4d3fa9d9d8339208bfd795f67532aae0e407e5cdcd51750a67179f1c850891c
EBUILD genkernel-9999.2540.ebuild 5062 RMD160 b0f5eff9d7fbc0eb0ad47f2903155d122dbc57d8 SHA1 d2d2f2ba696e0be8ed17a851613f1d250bd4a4d6 SHA256 b4d3fa9d9d8339208bfd795f67532aae0e407e5cdcd51750a67179f1c850891c
EBUILD genkernel-9999.ebuild 5062 RMD160 b0f5eff9d7fbc0eb0ad47f2903155d122dbc57d8 SHA1 d2d2f2ba696e0be8ed17a851613f1d250bd4a4d6 SHA256 b4d3fa9d9d8339208bfd795f67532aae0e407e5cdcd51750a67179f1c850891c

View file

@ -1,189 +0,0 @@
diff -Naur genkernel-3.4.9/gen_compile.sh genkernel-3.4.9.modules/gen_compile.sh
--- genkernel-3.4.9/gen_compile.sh 2008-01-12 00:44:19.000000000 +0100
+++ genkernel-3.4.9.modules/gen_compile.sh 2008-01-28 22:07:43.000000000 +0100
@@ -325,65 +325,7 @@
}
compile_unionfs_modules() {
- if [ ! -f "${UNIONFS_MODULES_BINCACHE}" ]
- then
- [ -f "${UNIONFS_SRCTAR}" ] ||
- gen_die "Could not find unionfs source tarball: ${UNIONFS_SRCTAR}!"
- cd "${TEMP}"
- rm -rf ${UNIONFS_DIR} > /dev/null
- rm -rf unionfs* > /dev/null
- mkdir unionfs
- /bin/tar xzpf ${UNIONFS_SRCTAR} ||
- gen_die 'Could not extract unionfs source tarball!'
- [ -d "${UNIONFS_DIR}" ] ||
- gen_die 'Unionfs directory ${UNIONFS_DIR} is invalid!'
- cd "${UNIONFS_DIR}"
- print_info 1 'unionfs modules: >> Compiling...'
- echo "LINUXSRC=${KERNEL_DIR}" >> fistdev.mk
- echo 'TOPINC=-I$(LINUXSRC)/include' >> fistdev.mk
- echo "MODDIR= /lib/modules/${KV}" >> fistdev.mk
- echo "KVERS=${KV}" >> fistdev.mk
- echo "KERNELVERSION=${KV}" >> fistdev.mk
- # Fix for hardened/selinux systems to have extened attributes
- # per r2d2's request. Also add -DUNIONFS_UNSUPPORTED for 2.6.16
- echo "EXTRACFLAGS=-DUNIONFS_XATTR -DFIST_SETXATTR_CONSTVOID -DUNIONFS_UNSUPPORTED" \
- >> fistdev.mk
- # Here we do something really nasty and disable debugging, along with
- # change our default CFLAGS
- echo "UNIONFS_DEBUG_CFLAG=-DUNIONFS_NDEBUG" >> fistdev.mk
- echo "UNIONFS_OPT_CFLAG= -O2 -pipe" >> fistdev.mk
-
- if [ "${PAT}" -ge '6' ]
- then
- # ARCH is used by unionfs - and conflicts with genkernel
- ARCH_PUSH=${ARCH}
- unset ARCH
- # Compile unionfs module within the unionfs
- # environment not within the kernelsrc dir
- make unionfs.ko || gen_die 'failed to compile unionfs'
- ARCH=${ARCH_PUSH}
- else
- gen_die 'unionfs is only supported on 2.6 targets'
- fi
- print_info 1 'unionfs: >> Copying to cache...'
-
- mkdir -p ${TEMP}/unionfs/lib/modules/${KV}/kernel/fs/unionfs
-
- if [ -f unionfs.ko ]
- then
- cp -f unionfs.ko ${TEMP}/unionfs/lib/modules/${KV}/kernel/fs/unionfs
- else
- cp -f unionfs.o ${TEMP}/unionfs/lib/modules/${KV}/kernel/fs/unionfs
- fi
-
- cd ${TEMP}/unionfs
- /bin/tar -cjf "${UNIONFS_MODULES_BINCACHE}" . ||
- gen_die 'Could not create unionfs modules binary cache'
-
- cd "${TEMP}"
- rm -rf "${UNIONFS_DIR}" > /dev/null
- rm -rf unionfs > /dev/null
- fi
+ echo "Nothing to compile, unionfs is in kernel now"
}
compile_unionfs_utils() {
diff -Naur genkernel-3.4.9/gen_initramfs.sh genkernel-3.4.9.modules/gen_initramfs.sh
--- genkernel-3.4.9/gen_initramfs.sh 2008-01-12 00:44:19.000000000 +0100
+++ genkernel-3.4.9.modules/gen_initramfs.sh 2008-01-28 22:07:43.000000000 +0100
@@ -73,18 +73,7 @@
}
append_unionfs_modules(){
- if [ -d "${TEMP}/initramfs-unionfs-modules-temp" ]
- then
- rm -r "${TEMP}/initramfs-unionfs-modules-temp/"
- fi
- print_info 1 'UNIONFS MODULES: Adding support (compiling)...'
compile_unionfs_modules
- mkdir -p "${TEMP}/initramfs-unionfs-modules-temp/"
- /bin/tar -jxpf "${UNIONFS_MODULES_BINCACHE}" -C "${TEMP}/initramfs-unionfs-modules-temp" ||
- gen_die "Could not extract unionfs modules binary cache!";
- cd "${TEMP}/initramfs-unionfs-modules-temp/"
- find . -print | cpio ${CPIO_ARGS} --append -F "${CPIO}"
- rm -r "${TEMP}/initramfs-unionfs-modules-temp/"
}
append_unionfs_tools(){
@@ -454,7 +443,7 @@
append_data 'auxilary'
append_data 'busybox' "${BUSYBOX}"
# append_data 'devfs' "${DEVFS}"
- append_data 'unionfs_modules' "${UNIONFS}"
+# append_data 'unionfs_modules' "${UNIONFS}"
append_data 'unionfs_tools' "${UNIONFS}"
append_data 'lvm' "${LVM}"
append_data 'dmraid' "${DMRAID}"
diff -Naur genkernel-3.4.9/generic/initrd.defaults genkernel-3.4.9.modules/generic/initrd.defaults
--- genkernel-3.4.9/generic/initrd.defaults 2008-01-12 00:44:19.000000000 +0100
+++ genkernel-3.4.9.modules/generic/initrd.defaults 2008-01-28 22:07:43.000000000 +0100
@@ -76,6 +76,7 @@
CDROOT_TYPE='auto'
NEW_ROOT="/newroot"
CONSOLE="/dev/console"
+MODULESD="mnt/cdrom"
# Only sections that are in by default or those that
# are not module groups need to be defined here...
diff -Naur genkernel-3.4.9/generic/initrd.scripts genkernel-3.4.9.modules/generic/initrd.scripts
--- genkernel-3.4.9/generic/initrd.scripts 2008-01-12 00:44:19.000000000 +0100
+++ genkernel-3.4.9.modules/generic/initrd.scripts 2008-01-28 22:07:43.000000000 +0100
@@ -202,14 +202,27 @@
#
union_insert_dir() {
# detect branch 0 because newer unionfs doesn't support "0,1,2"
- BRANCH_0="/"$(/sbin/unionctl $1 --list | cut -d/ -f2- | cut -d'(' -f1)
- /sbin/unionctl $1 --add --after $BRANCH_0 --mode ro $2
+ # BRANCH_0="/"$(/sbin/unionctl $1 --list | cut -d/ -f2- | cut -d'(' -f1)
+ #/sbin/unionctl $1 --add --after $BRANCH_0 --mode ro $2
+ mount -t unionfs -o remount,add=:$2=ro unionfs $1
if [ $? = '0' ]
then
- good_msg "Addition of $2 to $1 after branch $BRANCH_0 successful"
+ good_msg "Addition of $2 to $1 successful"
fi
}
+# Insert all modules found in $1, usually mnt/cdrom
+# added to allow users to add their own apps.
+union_insert_modules() {
+ for module in `ls ${NEW_ROOT}/$1/modules/*.mo`
+ do
+ mkdir -p ${MEMORY}/modules/`basename ${module} .mo`
+ mount -o loop,ro ${module} ${MEMORY}/modules/`basename ${module} .mo`
+ union_insert_dir $UNION ${MEMORY}/modules/`basename ${module} .mo`
+ done
+}
+
+
findnfsmount() {
if [ "${IP}" != '' ] || busybox udhcpc -R rootpath -n -s /bin/udhcpc.scripts
@@ -934,8 +947,8 @@
mkdir -p ${MEMORY}
mkdir -p ${UNION}
- good_msg "Loading unionfs module"
- modprobe unionfs > /dev/null 2>&1
+# good_msg "Loading unionfs module"
+# modprobe unionfs > /dev/null 2>&1
if [ -n "${UNIONFS}" ]
then
CHANGESDEV=${UNIONFS}
diff -Naur genkernel-3.4.9/generic/linuxrc genkernel-3.4.9.modules/generic/linuxrc
--- genkernel-3.4.9/generic/linuxrc 2008-01-12 00:44:19.000000000 +0100
+++ genkernel-3.4.9.modules/generic/linuxrc 2008-01-28 22:07:43.000000000 +0100
@@ -108,6 +108,10 @@
fi
fi
;;
+ # Allow user to specify the modules location
+ modules\=*)
+ MODULESD=`parse_opt "${x}"`
+ ;;
# Start Volume manager options
dolvm)
USE_LVM_NORMAL=1
@@ -613,7 +617,16 @@
# Make sure fstab notes livecd is mounted ro. Makes system skip remount which fails on unionfs dirs.
sed -e 's|\(.*\s/\s*tmpfs\s*\)defaults\(.*\)|\1defaults,ro\2|' /${UNION}/etc/fstab > /${UNION}/etc/fstab.new
mv /${UNION}/etc/fstab.new /${UNION}/etc/fstab
- fi
+ warn_msg "Adding all modules in $MODULESD/modules/"
+ if [ "${MODULESD}" = "mnt/cdrom" ]
+ then
+ union_insert_modules mnt/cdrom
+ else
+ mkdir ${NEW_ROOT}/mnt/modulesd
+ mount "${MODULESD}" ${NEW_ROOT}/mnt/modulesd
+ union_insert_modules ${NEW_ROOT}/mnt/modulesd
+ fi
+fi
# Unpacking additional packages from NFS mount
# This is useful for adding kernel modules to /lib

View file

@ -1,915 +0,0 @@
diff -Naur genkernel-3.4.9/generic/initrd.defaults genkernel-3.4.9_pre10.orig/generic/initrd.defaults
--- genkernel-3.4.9/generic/initrd.defaults 2008-01-11 23:44:19.000000000 +0000
+++ genkernel-3.4.9_pre10.orig/generic/initrd.defaults 2007-11-28 21:43:19.000000000 +0000
@@ -73,7 +73,6 @@
REAL_ROOT=''
CDROOT=0
CDROOT_DEV=''
-CDROOT_TYPE='auto'
NEW_ROOT="/newroot"
CONSOLE="/dev/console"
diff -Naur genkernel-3.4.9/generic/initrd.scripts genkernel-3.4.9_pre10.orig/generic/initrd.scripts
--- genkernel-3.4.9/generic/initrd.scripts 2008-01-11 23:44:19.000000000 +0000
+++ genkernel-3.4.9_pre10.orig/generic/initrd.scripts 2007-11-28 21:43:19.000000000 +0000
@@ -37,9 +37,9 @@
modules_scan() {
local MODS
- [ -d "/etc/modules/${1}" ] || touch /etc/modules/${1}
+ [ -d /etc/modules/${1} ] || touch /etc/modules/${1}
- [ -f "/etc/modules/${1}" ] && MODS=`cat /etc/modules/${1}`
+ [ -f /etc/modules/${1} ] && MODS=`cat /etc/modules/${1}`
for x in ${MODS}
do
MLOAD=`echo ${MLIST} | sed -e "s/.*${x}.*/${x}/"`
@@ -63,96 +63,82 @@
done
}
-uppercase(){
- # needs tr on busybox
- echo $1 | tr 'a-z' 'A-Z'
-}
-
-
-findmediamount() {
- # $1 = mount dir name / media name
- # $2 = recognition file
- # $3 = variable to have the device path
- # $4 = directory before /mnt, like NEW_ROOT
- # args remaining are possible devices
-
- local media=$1 recon=$2 vrbl=$3
- local mntdir="${4}/mnt/${media}"
- shift 4
-
- good_msg "Looking for the ${media}" ${CRYPT_SILENT}
-
+findcdmount() {
if [ "$#" -gt "0" ]
then
-
- [ ! -d "${mntdir}" ] && mkdir -p ${mntdir} 2>/dev/null >/dev/null
-
for x in $*
do
# Check for a block device to mount
if [ -b "${x}" ]
then
- good_msg "Attempting to mount media:- ${x}" ${CRYPT_SILENT}
-
-# if [ "${media}" = "cdrom" ]; then
-# mount -r -t iso9660 ${x} ${mntdir} &>/dev/null
-# else
-# mount -r -t auto ${x} ${mntdir} &>/dev/null
-# fi
- mount -r -t ${CDROOT_TYPE} ${x} ${mntdir} &>/dev/null
+ good_msg "Attempting to mount media:- ${x}"
+ if [ -z "${CDROOT_DEV}" ]
+ then
+ mount -r -t auto ${x} ${NEW_ROOT}/mnt/cdrom \
+ > /dev/null 2>&1
+ else
+ mount -r -t iso9660 ${x} ${NEW_ROOT}/mnt/cdrom \
+ > /dev/null 2>&1
+ fi
if [ "$?" = '0' ]
then
- # Check for the media
- if [ -f "${mntdir}/${recon}" ]
+ # Check for a LiveCD
+ if [ -f ${NEW_ROOT}/mnt/cdrom/${SUBDIR}/livecd ]
then
- #set REAL_ROOT, CRYPT_ROOT_KEYDEV or whatever ${vrbl} is
- eval ${vrbl}'='"${x}"
- good_msg "Media found on ${x}" ${CRYPT_SILENT}
+ REAL_ROOT="${x}"
break
else
- umount ${mntdir}
+ umount ${NEW_ROOT}/mnt/cdrom
fi
fi
fi
done
+ if [ "${REAL_ROOT}" != '' ]
+ then
+ good_msg "Media found on ${x}"
+ fi
fi
-
- eval local result='$'${vrbl}
-
- [ -n "${result}" ] || bad_msg "Media not found" ${CRYPT_SILENT}
}
-devicelist(){
- # Locate the cdrom device with our media on it.
- # CDROM DEVICES
- local DEVICES="/dev/cdroms/* /dev/ide/cd/* /dev/sr*"
- # USB Keychain/Storage
- DEVICES="$DEVICES /dev/sd*"
- # IDE devices
- DEVICES="$DEVICES /dev/hd*"
- # USB using the USB Block Driver
- DEVICES="$DEVICES /dev/ubd* /dev/ubd/*"
- # iSeries devices
- DEVICES="$DEVICES /dev/iseries/vcd*"
- echo ${DEVICES}
-}
-
-bootstrapCD() {
- local DEVICES=`devicelist`
- # The device was specified on the command line, so there's no need to scan
- # a bunch of extra devices
- [ -n "${CDROOT_DEV}" ] && DEVICES="${CDROOT_DEV}"
+findkeymount() {
+ if [ "$#" -gt "0" ]
+ then
+ for x in $*
+ do
+ # Check for a block device to mount
+ if [ -b "${x}" ]
+ then
+ if [ ${crypt_silent} = '' ]
+ then
+ good_msg "Attempting to mount key media:- ${x}"
+ fi
- findmediamount "cdrom" "${SUBDIR}/livecd" "REAL_ROOT" "${NEW_ROOT}" ${DEVICES}
+ mount -r -t auto ${x} ${NEW_ROOT}/mnt/keydev \
+ > /dev/null 2>&1
+ if [ "$?" = '0' ]
+ then
+ # Check for the key
+ if [ -e ${NEW_ROOT}/mnt/keydev/${LUKS_ROOT_KEY} ]
+ then
+ LUKS_ROOT_KEYDEV="${x}"
+ umount ${NEW_ROOT}/mnt/keydev
+ break
+ else
+ umount ${NEW_ROOT}/mnt/keydev
+ fi
+ fi
+ fi
+ done
+ if [ "${LUKS_ROOT_KEYDEV}" != '' ]
+ then
+ if [ ${crypt_silent} = '' ]
+ then
+ good_msg "Key media found on ${x}"
+ fi
+ fi
+ fi
}
-bootstrapKey() {
- # $1 = ROOT/SWAP
- local KEYDEVS=`devicelist`
- eval local keyloc='"${CRYPT_'${1}'_KEY}"'
-
- findmediamount "key" "${keyloc}" "CRYPT_${1}_KEYDEV" "" ${KEYDEVS}
-}
cache_cd_contents() {
# Check loop file exists and cache to ramdisk if DO_cache is enabled
@@ -261,7 +247,7 @@
bad_msg "NFS Mounting failed. Is the path corrent ?"
fi
else
- good_msg "Attempting to mount NFS root on ${NFSROOT}"
+ good_msg "Attemping to mount NFS root on ${NFSROOT}"
mount -t nfs -o ro,nolock,rsize=1024,wsize=1024 ${NFSROOT} ${NEW_ROOT}
if [ "$?" = '0' ]
then
@@ -342,74 +328,24 @@
fi
}
-
-# msg functions arguments
-# $1 string
-# $2 hide flag
-
-good_msg() {
+good_msg() {
msg_string=$1
msg_string="${msg_string:-...}"
- [ "$2" != 1 ] && echo -e "${GOOD}>>${NORMAL}${BOLD} ${msg_string} ${NORMAL}"
+ echo -e "${GOOD}>>${NORMAL}${BOLD} ${msg_string} ${NORMAL}"
}
bad_msg() {
msg_string=$1
msg_string="${msg_string:-...}"
- if [ "$2" != 1 ]
- then
- splash 'verbose' > /dev/null &
- echo -e "${BAD}!!${NORMAL}${BOLD} ${msg_string} ${NORMAL}"
- fi
+ splash 'verbose' > /dev/null &
+ echo -e "${BAD}!!${NORMAL}${BOLD} ${msg_string} ${NORMAL}"
}
warn_msg() {
msg_string=$1
msg_string="${msg_string:-...}"
- [ "$2" != 1 ] && echo -e "${WARN}**${NORMAL}${BOLD} ${msg_string} ${NORMAL}"
-}
-
-crypt_filter() {
- if [ ${CRYPT_SILENT} -eq 1 ]
- then
- eval $1 >/dev/null 2>/dev/null
- else
- eval $1
- fi
-}
-
-whereis(){
- # $1 = variable whose value is the path (examples: "REAL_ROOT", "LUKS_KEYDEV")
- # $2 = label
- # $3 = optional explanations for failure
-
- eval local oldvalue='$'${1}
-
- [ \( $# != 2 \) -a \( $# != 3 \) ] && \
- bad_msg "Bad invocation of function whereis, please file a bug \
- report with this message" && exit 1
- [ -n "${3}" ] && local explnt=" or : ${3}" || local explnt="."
-
- bad_msg "Could not find the ${2} in ${oldvalue}${explnt}"
- echo ' Please specify another value or: press Enter for the same, type "shell" for a shell, or "q" to skip...'
- echo -n "${2}(${oldvalue}) :: "
- read ${1}
- case `eval echo '$'${1}` in
- 'q')
- eval ${1}'='${oldvalue}
- warn_msg "Skipping step, this will likely cause a boot failure."
- break
- ;;
- 'shell')
- eval ${1}'='${oldvalue}
- echo "To leave and try again just press <Ctrl>+D"
- run_shell
- ;;
- '')
- eval ${1}'='${oldvalue}
- ;;
- esac
-}
+ echo -e "${WARN}**${NORMAL}${BOLD} ${msg_string} ${NORMAL}"
+}
bind_mount_dev() {
# bind-mount /dev/ so that loop devices can be found
@@ -418,14 +354,14 @@
start_dev_mgr() {
# Check udev is available...
- if [ "${KV_2_6_OR_GREATER}" -a "${USE_UDEV_NORMAL}" != '0' ]
+ if [ "${KV_2_6_OR_GREATER}" -a ! "${USE_UDEV_NORMAL}" -eq '0' ]
then
USE_UDEV_NORMAL=1
else
USE_UDEV_NORMAL=0
fi
- if [ "${USE_UDEV_NORMAL}" = '1' ]
+ if [ "${USE_UDEV_NORMAL}" -eq '1' ]
then
cd /sys
[ "${DO_slowusb}" ] && sleep 10
@@ -442,6 +378,42 @@
fi
}
+bootstrapCD() {
+ # Locate the cdrom device with our media on it.
+ # CDROM DEVICES
+ DEVICES="/dev/cdroms/* /dev/ide/cd/* /dev/sr*"
+ # USB Keychain/Storage
+ DEVICES="$DEVICES /dev/sd*"
+ # IDE devices
+ DEVICES="$DEVICES /dev/hd*"
+ # USB using the USB Block Driver
+ DEVICES="$DEVICES /dev/ubd* /dev/ubd/*"
+ # iSeries devices
+ DEVICES="$DEVICES /dev/iseries/vcd*"
+ # The device was specified on the command line. Shold we even be doing a
+ # scan at this point? I think not.
+ [ -n "${CDROOT_DEV}" ] && DEVICES="$DEVICES ${CDROOT_DEV}"
+
+ findcdmount $DEVICES
+}
+
+bootstrapKey() {
+ # Locate the device with our key on it.
+ # USB Keychain/Storage
+ KEYDEVS="/dev/sd*"
+ # CDROM DEVICES
+ KEYDEVS="${KEYDEVS} /dev/cdroms/* /dev/ide/cd/* /dev/sr*"
+ # IDE devices
+ KEYDEVS="${KEYDEVS} /dev/hd*"
+ # USB using the USB Block Driver
+ KEYDEVS="${KEYDEVS} /dev/ubd* /dev/ubd/*"
+ # iSeries devices
+ KEYDEVS="${KEYDEVs} /dev/iseries/vcd*"
+
+ findkeymount ${KEYDEVS}
+}
+
+
cmdline_hwopts() {
# Scan CMDLINE for any "doscsi" or "noscsi"-type arguments
@@ -538,7 +510,7 @@
chooseKeymap
- [ "${DEVBIND}" = '1' ] && umount /dev
+ [ "${DEVBIND}" -eq '1' ] && umount /dev
if [ -e /etc/sysconfig/keyboard -a "${CDROOT}" -eq '1' ]
then
@@ -639,7 +611,7 @@
/sbin/mdadm --assemble
fi
- if [ "${USE_DMRAID_NORMAL}" = '1' ]
+ if [ "${USE_DMRAID_NORMAL}" -eq '1' ]
then
if [ -e '/sbin/dmraid' ]
then
@@ -653,7 +625,7 @@
fi
fi
- if [ "${USE_LVM_NORMAL}" = '1' ]
+ if [ "${USE_LVM_NORMAL}" -eq '1' ]
then
if [ -e '/bin/vgscan' -a -e '/bin/vgchange' ]
then
@@ -669,7 +641,7 @@
/bin/vgchange -ay --ignorelockingfailure 2>/dev/null
# Disable EVMS since lvm is activated and they dont work together.
- if [ "${USE_EVMS_NORMAL}" = '1' ]
+ if [ "${USE_EVMS_NORMAL}" -eq '1' ]
then
bad_msg "Disabling EVMS Support because LVM started"
bad_msg "Do not add dolvm to the cmdline if this is not what you want"
@@ -681,7 +653,7 @@
fi
fi
- if [ "${USE_EVMS_NORMAL}" = '1' ]
+ if [ "${USE_EVMS_NORMAL}" -eq '1' ]
then
if [ -e '/sbin/evms_activate' ]
then
@@ -692,142 +664,60 @@
}
# Open a LUKS device
-# It is either the root or a swap, other devices are supported in the scripts provided with sys-fs/cryptsetup-luks
-# $1 - root/swap
+# $1 LUKS device
+# $2 LUKS name
openLUKS() {
- # please use 'tr' and this line, or remove it
- # eval local TYPE=`uppercase $1`
-
- case $1 in
- root)
- local TYPE=ROOT
- ;;
- swap)
- local TYPE=SWAP
- ;;
- esac
-
- eval local LUKS_DEVICE='"${CRYPT_'${TYPE}'}"' LUKS_NAME="$1" LUKS_KEY='"${CRYPT_'${TYPE}'_KEY}"' LUKS_KEYDEV='"${CRYPT_'${TYPE}'_KEYDEV}"'
- local DEV_ERROR=0 KEY_ERROR=0 KEYDEV_ERROR=0
- local mntkey="/mnt/key/" cryptsetup_options=''
-
- [ ! -e /sbin/cryptsetup ] && bad_msg "The initrd does not support LUKS" && exit 1
- while [ 1 ]
- do
- # if crypt_silent=1 and some error occurs, enter shell quietly
- if [ \( ${CRYPT_SILENT} -eq 1 \) -a \( \( \( ${DEV_ERROR} -eq 1 \) -o \( ${KEY_ERROR} -eq 1 \) \) -o \( ${KEYDEV_ERROR} -eq 1 \) \) ]
- then
- run_shell
- elif [ ${DEV_ERROR} -eq 1 ]
- then
- whereis "LUKS_DEVICE" "${LUKS_NAME}"
- DEV_ERROR=0
- elif [ ${KEY_ERROR} -eq 1 ]
- then
- whereis "LUKS_KEY" "${LUKS_NAME} key"
- KEY_ERROR=0
- elif [ ${KEYDEV_ERROR} -eq 1 ]
- then
- whereis "LUKS_KEYDEV" "${LUKS_NAME} key device"
- KEYDEV_ERROR=0
- else
- setup_md_device ${LUKS_DEVICE}
- cryptsetup isLuks ${LUKS_DEVICE}
- if [ ! "$?" -eq '0' ]
+ LUKS_DEVICE="$1"
+ LUKS_NAME="$2"
+ if [ -e /sbin/cryptsetup ]
+ then
+ while [ 1 ]
+ do
+ if [ "${LUKS_DEVICE}" = '' ]
then
- bad_msg "The LUKS device ${LUKS_DEVICE} does not contain a LUKS header" ${CRYPT_SILENT}
- DEV_ERROR=1
+ # LUKS device could not be opened. Prompt user for device.
+ bad_msg "The LUKS ${LUKS_NAME} block device is not detected."
+ echo " Please specify a ${LUKS_NAME} LUKS device to open, "q" to skip, or "shell" for a shell..."
+ echo -n "LUKS ${LUKS_NAME}() :: "
+ read LUKS_DEVICE
continue
+ elif [ "${LUKS_DEVICE}" = 'shell' ]
+ then
+ run_shell
+
+ LUKS_DEVICE=''
+ continue
+ elif [ "${LUKS_DEVICE}" = 'q' ]
+ then
+ break
else
- # Handle keys
- if [ -n "${LUKS_KEY}" ]
+ setup_md_device ${LUKS_DEVICE}
+ if cryptsetup isLuks ${LUKS_DEVICE}
then
- if [ ! -e "${mntkey}${LUKS_KEY}" ]
+ good_msg "Opening LUKS device ${LUKS_DEVICE}"
+
+ cryptsetup luksOpen ${LUKS_DEVICE} ${LUKS_NAME}
+ if [ ! "$?" -eq '0' ]
then
- if [ -b "${LUKS_KEYDEV}" ]
- then good_msg "Using key device ${LUKS_KEYDEV}." ${CRYPT_SILENT}
- else
- good_msg "Please insert removable device ${LUKS_KEYDEV} for ${LUKS_NAME}" ${CRYPT_SILENT}
- # abort after 10 secs
- local count=10
- while [ ${count} -gt 0 ]
- do
- count=$((count-1))
- sleep 1
- if [ -b "${LUKS_KEYDEV}" ]
- then
- good_msg "Removable device ${LUKS_KEYDEV} detected." ${CRYPT_SILENT}
- break
- fi
- done
- if [ ! -b "${LUKS_KEYDEV}" ]
- then
- eval CRYPT_${TYPE}_KEY=${LUKS_KEY}
- bootstrapKey ${TYPE}
- eval LUKS_KEYDEV='"${CRYPT_'${TYPE}'_KEYDEV}"'
- if [ ! -b "${LUKS_KEYDEV}" ]; then
- KEYDEV_ERROR=1
- bad_msg "Removable device ${LUKS_KEYDEV} not found." ${CRYPT_SILENT}
- continue
- fi
- # continue otherwise will mount keydev which is mounted by bootstrap
- continue
- fi
- fi
- # At this point a device was recognized, now let's see if the key is there
- [ ! -d "$mntkey" ] && mkdir -p ${mntkey} 2>/dev/null >/dev/null
-
- mount -n -o ro ${LUKS_KEYDEV} ${mntkey} >/dev/null 2>/dev/null
- if [ "$?" != '0' ]
- then
- KEYDEV_ERROR=1
- bad_msg "Mounting of device ${LUKS_KEYDEV} failed." ${CRYPT_SILENT}
- continue
- else
- good_msg "Removable device ${LUKS_KEYDEV} mounted." ${CRYPT_SILENT}
- sleep 2
- # keyfile exists?
- if [ ! -e "${mntkey}${LUKS_KEY}" ]; then
- umount -n ${mntkey} 2>/dev/null >/dev/null
- KEY_ERROR=1
- KEYDEV_ERROR=1
- bad_msg "Key {LUKS_KEY} on device ${LUKS_KEYDEV} not found." ${CRYPT_SILENT}
- continue
- fi
- fi
+ bad_msg "Failed open LUKS device ${LUKS_DEVICE}"
+ else
+ break
fi
- # At this point a candidate key exists (either mounted before or not)
- good_msg "${LUKS_KEY} on device ${LUKS_KEYDEV} found" ${CRYPT_SILENT}
- cryptsetup_options="-d ${mntkey}${LUKS_KEY}"
- fi
- # At this point, keyfile or not, we're ready!
- crypt_filter "cryptsetup ${cryptsetup_options} luksOpen ${LUKS_DEVICE} ${LUKS_NAME}"
- if [ $? -eq 0 ]
- then
- good_msg "LUKS device ${LUKS_DEVICE} opened" ${CRYPT_SILENT}
- break
else
- bad_msg "Failed to open LUKS device ${LUKS_DEVICE}" ${CRYPT_SILENT}
- DEV_ERROR=1
- KEY_ERROR=1
- KEYDEV_ERROR=1
+ bad_msg "The LUKS device ${LUKS_DEVICE} does not contain a LUKS header"
fi
fi
- fi
- done
- umount ${mntkey} 2>/dev/null >/dev/null
- rmdir -p ${mntkey} 2>/dev/null >/dev/null
+ LUKS_DEVICE=''
+ done
+ else
+ bad_msg "The initrd does not support LUKS"
+ fi
}
startLUKS() {
-
- # if key is set but key device isn't, find it
-
- [ -n "${CRYPT_ROOT_KEY}" ] && [ -z "${CRYPT_ROOT_KEYDEV}" ] \
- && sleep 6 && bootstrapKey "ROOT"
-
- if [ -n "${CRYPT_ROOT}" ]; then
- openLUKS "root"
+ if [ -n "${LUKS_ROOT}" ]
+ then
+ openLUKS "${LUKS_ROOT}" "root"
if [ -n "${REAL_ROOT}" ]
then
# Rescan volumes
@@ -836,18 +726,10 @@
REAL_ROOT="/dev/mapper/root"
fi
fi
-
- # same for swap, but no need to sleep if root was unencrypted
- [ -n "${CRYPT_SWAP_KEY}" ] && [ -z "${CRYPT_SWAP_KEYDEV}" ] \
- && { [ -z "${CRYPT_ROOT}" ] && sleep 6; bootstrapKey "SWAP"; }
-
- if [ -n "${CRYPT_SWAP}" ]; then
- openLUKS "swap"
- if [ -z "${REAL_RESUME}" ]
- then
- # Resume from swap as default
- REAL_RESUME="/dev/mapper/swap"
- fi
+ if [ -n "${LUKS_SWAP}" ]
+ then
+ openLUKS "${LUKS_SWAP}" "swap"
+ break
fi
}
@@ -874,7 +756,7 @@
cdupdate() {
- if [ "${CDROOT}" = '1' ]
+ if [ "${CDROOT}" -eq '1' ]
then
if [ -x /${NEW_ROOT}/mnt/cdrom/cdupdate.sh ]
then
@@ -920,7 +802,7 @@
}
setup_unionfs() {
- if [ "${USE_UNIONFS_NORMAL}" = '1' ]
+ if [ "${USE_UNIONFS_NORMAL}" -eq '1' ]
then
# Directory used for rw changes in union mount filesystem
UNION=/union
@@ -975,13 +857,6 @@
fi
}
-swsusp_resume() {
- ### determine swap resume partition
- local device=$(ls -l "${REAL_RESUME}" | sed 's/\ */ /g' | cut -d \ -f 6-7 | sed 's/,\ */:/')
- [ -f /sys/power/resume ] && echo "${device}" > /sys/power/resume
- return 0
-}
-
tuxonice_resume() {
[ -d /proc/suspend2 -o -d /sys/power/suspend2 -o -d /sys/power/tuxonice ] || return
diff -Naur genkernel-3.4.9/generic/linuxrc genkernel-3.4.9_pre10.orig/generic/linuxrc
--- genkernel-3.4.9/generic/linuxrc 2008-01-11 23:44:19.000000000 +0000
+++ genkernel-3.4.9_pre10.orig/generic/linuxrc 2007-11-28 21:43:19.000000000 +0000
@@ -44,7 +44,6 @@
REAL_ROOT=''
FAKE_ROOT=''
REAL_ROOTFLAGS=''
-CRYPT_SILENT=0
for x in ${CMDLINE}
do
case "${x}" in
@@ -71,9 +70,6 @@
CDROOT=1
CDROOT_DEV=`parse_opt "${x}"`
;;
- cdroot_type\=*)
- CDROOT_TYPE=`parse_opt "${x}"`
- ;;
# Start livecd loop, looptype options
loop\=*)
LOOP=`parse_opt "${x}"`
@@ -178,31 +174,13 @@
NFSROOT=`parse_opt "${x}"`
;;
crypt_root\=*)
- CRYPT_ROOT=`parse_opt "${x}"`
+ LUKS_ROOT=`parse_opt "${x}"`
;;
crypt_swap\=*)
- CRYPT_SWAP=`parse_opt "${x}"`
- ;;
- root_key\=*)
- CRYPT_ROOT_KEY=`parse_opt "${x}"`
- ;;
- root_keydev\=*)
- CRYPT_ROOT_KEYDEV=`parse_opt "${x}"`
- ;;
- swap_key\=*)
- CRYPT_SWAP_KEY=`parse_opt "${x}"`
- ;;
- swap_keydev\=*)
- CRYPT_SWAP_KEYDEV=`parse_opt "${x}"`
- ;;
- real_resume\=*)
- REAL_RESUME=`parse_opt "${x}"`
+ LUKS_SWAP=`parse_opt "${x}"`
;;
- noresume)
- NORESUME=1
- ;;
- crypt_silent)
- CRYPT_SILENT=1
+ crypt_silent\=*)
+ LUKS_SILENT=`parse_opt "${x}"`
;;
real_rootflags\=*)
REAL_ROOTFLAGS=`parse_opt "${x}"`
@@ -225,7 +203,7 @@
then
good_msg 'Loading modules'
# Load appropriate kernel modules
- if [ "${NODETECT}" != '1' ]
+ if [ "${NODETECT}" -ne '1' ]
then
for modules in $MY_HWOPTS
do
@@ -259,7 +237,7 @@
startVolumes
# Initialize LUKS root device except for livecd's
-if [ "${CDROOT}" != 1 ]
+if [ "${CDROOT}" -ne '1' ]
then
startLUKS
fi
@@ -268,7 +246,7 @@
mkdir -p ${NEW_ROOT}
setup_unionfs
-if [ "${USE_UNIONFS_NORMAL}" = '1' ]
+if [ "${USE_UNIONFS_NORMAL}" -eq '1' ]
then
CHROOT=${UNION}
else
@@ -278,23 +256,17 @@
# Run debug shell if requested
rundebugshell
-if [ "${NORESUME}" != '1' ]
-then
- swsusp_resume
-# suspend_resume
-# suspend2_resume
- tuxonice_resume
-fi
+tuxonice_resume
-if [ "${CDROOT}" = '1' ]
+if [ "${CDROOT}" -eq '1' ]
then
- if [ ! "${USE_UNIONFS_NORMAL}" = '1' ]
+ if [ ! "${USE_UNIONFS_NORMAL}" -eq '1' ]
then
good_msg "Making tmpfs for ${NEW_ROOT}"
mount -t tmpfs tmpfs ${NEW_ROOT}
fi
- for i in dev mnt mnt/cdrom mnt/livecd mnt/key tmp tmp/.initrd mnt/gentoo sys
+ for i in dev mnt mnt/cdrom mnt/livecd mnt/keydev tmp tmp/.initrd mnt/gentoo sys
do
mkdir -p ${NEW_ROOT}/$i
chmod 755 ${NEW_ROOT}/$i
@@ -385,17 +357,31 @@
good_msg "Detected real_root=${ROOT_DEV}"
REAL_ROOT="${ROOT_DEV}"
else
- whereis "REAL_ROOT" "root block device"
+ bad_msg "Could not find root block device: ${REAL_ROOT}"
+ echo ' Please specify a device to boot, or "shell" for a shell...'
+ echo -n 'boot() :: '
+ read REAL_ROOT
got_good_root=0
continue
fi
;;
esac
- if [ "${REAL_ROOT}" = '' ]
+ if [ "${REAL_ROOT}" = 'shell' ]
+ then
+ run_shell
+
+ REAL_ROOT=''
+ got_good_root=0
+ continue
+
+ elif [ "${REAL_ROOT}" = '' ]
then
# No REAL_ROOT determined/specified. Prompt user for root block device.
- whereis "REAL_ROOT" "root block device"
+ bad_msg "The root block device is unspecified or not detected."
+ echo ' Please specify a device to boot, or "shell" for a shell...'
+ echo -n 'boot() :: '
+ read REAL_ROOT
got_good_root=0
# Check for a block device or /dev/nfs
@@ -411,7 +397,7 @@
done
- if [ "${CDROOT}" = 1 -a "${got_good_root}" = '1' -a "${REAL_ROOT}" != "/dev/nfs" ]
+ if [ "${CDROOT}" -eq '1' -a "${got_good_root}" = '1' -a "${REAL_ROOT}" != "/dev/nfs" ]
then
# CD already mounted; no further checks necessary
break
@@ -455,7 +441,7 @@
#verbose_kmsg
-# If cd root is set determine the looptype to boot
+# If cdroot is set determine the looptype to boot
if [ "${CDROOT}" = '1' ]
then
good_msg 'Determining looptype ...'
@@ -509,19 +495,28 @@
fi
cache_cd_contents
+
# If encrypted, find key and mount, otherwise mount as usual
- if [ -n "${CRYPT_ROOT}" ]
+ if [ "${LUKS_ROOT}" != '' ]
then
- good_msg 'You booted an encrypted livecd' ${CRYPT_SILENT}
+ if [ "${LUKS_SILENT}" = '' ]
+ then
+ good_msg 'You booted an encrypted livecd'
+ fi
+
+ LUKS_ROOT_KEY=$(head -n 1 ${NEW_ROOT}/mnt/cdrom/livecd)
- CRYPT_ROOT_KEY=$(head -n 1 ${NEW_ROOT}/mnt/cdrom/livecd)
+ if [ "${LUKS_ROOT_KEY}" ]
+ then
+ bootstrapKey
+ fi
losetup /dev/loop0 ${NEW_ROOT}/mnt/cdrom/${LOOPEXT}${LOOP}
test_success 'Preparing loop filesystem'
- CRYPT_ROOT='/dev/loop0'
+ LUKS_ROOT='/dev/loop0'
startLUKS
@@ -606,7 +601,7 @@
# End cdrom looptype determination and mounting if necessary
#
- if [ "${USE_UNIONFS_NORMAL}" = '1' ]
+ if [ "${USE_UNIONFS_NORMAL}" -eq '1' ]
then
union_insert_dir ${UNION} ${NEW_ROOT}/${FS_LOCATION}
@@ -632,7 +627,7 @@
fi
- if [ "${USE_UNIONFS_NORMAL}" != '1' ]
+ if [ ! "${USE_UNIONFS_NORMAL}" -eq '1' ]
then
good_msg "Copying read-write image contents to tmpfs"
# Copy over stuff that should be writable
@@ -700,7 +695,7 @@
sleep 10
fi
else
- if [ "${USE_UNIONFS_NORMAL}" = '1' ]
+ if [ "${USE_UNIONFS_NORMAL}" -eq '1' ]
then
union_insert_dir ${UNION} ${NEW_ROOT}
mkdir -p ${UNION}/tmp/.initrd
@@ -722,7 +717,7 @@
# init scripts will be able to unmount it properly at next reboot
#
# Eventually, all "unions over /" mounts should go in that /.unions/
-if [ "${USE_UNIONFS_NORMAL}" = '1' ]
+if [ "${USE_UNIONFS_NORMAL}" -eq '1' ]
then
mkdir -p /${CHROOT}/.unions/memory 2>/dev/null
mount -o move /memory /${CHROOT}/.unions/memory || echo '*: Failed to move unionfs /memory into the system root!'
@@ -731,7 +726,7 @@
if [ "$0" = '/linuxrc' ] || [ "$0" = 'linuxrc' ]
then
[ ! -e ${CHROOT}/dev/console ] && mknod ${CHROOT}/dev/console c 5 1
- echo -ne "${GOOD}>>${NORMAL}${BOLD} Booting${NORMAL}"
+ echo -ne "${GOOD}>>${NORMAL}${BOLD} Booting"
cd ${CHROOT}
mkdir ${CHROOT}/proc ${CHROOT}/sys 2>/dev/null
@@ -740,14 +735,14 @@
then
sleep 10
fi
- echo -ne "${BOLD}.${NORMAL}"
+ echo -n '.'
- if /tmp/.initrd/bin/[ "${USE_DEVFS_NORMAL}" = '1' -a "${CDROOT}" = 0 ]
+ if /tmp/.initrd/bin/[ "${USE_DEVFS_NORMAL}" -eq '1' -a "${CDROOT}" -eq '0' ]
then
umount /tmp/.initrd/proc || echo '*: Failed to unmount the initrd /proc!'
mount -n --move /tmp/.initrd/dev dev || echo '*: Failed to move over the /dev tree!'
rm -rf /tmp/.initrd/dev || echo '*: Failed to remove the initrd /dev!'
- elif /tmp/.initrd/bin/[ "${USE_UDEV_NORMAL}" = '1' ]
+ elif /tmp/.initrd/bin/[ "${USE_UDEV_NORMAL}" -eq '1' ]
then
/tmp/.initrd/bin/[ -e /tmp/.initrd/dev/fd ] && rm /tmp/.initrd/dev/fd
/tmp/.initrd/bin/[ -e /tmp/.initrd/dev/stdin ] && rm /tmp/.initrd/dev/stdin
@@ -757,7 +752,7 @@
umount /tmp/.initrd/dev || echo '*: Failed to unmount the initrd /dev!'
umount /tmp/.initrd/proc || echo '*: Failed to unmount the initrd /proc!'
umount /tmp/.initrd/sys || echo '*: Failed to unmount the initrd /sys!'
- elif /tmp/.initrd/bin/[ "${CDROOT}" -eq 1 ]
+ elif /tmp/.initrd/bin/[ "${CDROOT}" -eq '1' ]
then
umount /tmp/.initrd/proc || echo "*: Failed to unmount the initrd /proc!"
umount /dev 2>/dev/null
@@ -767,13 +762,13 @@
umount /sys 2>/dev/null
umount /tmp/.initrd/sys 2>/dev/null
fi
- echo -ne "${BOLD}.${NORMAL}"
+ echo -n '.'
# /usr/src/linux/Documentation/initrd.txt:
# exec chroot . /sbin/init </dev/console >/dev/console 2>&1
- echo -e "${BOLD}.${NORMAL}"
exec <dev/console >dev/console 2>&1
+ echo '.'
exec chroot . /bin/sh <<- EOF
umount /tmp/.initrd || echo "*: Failed to unmount the initrd!"
/sbin/blockdev --flushbufs /dev/ram0 >/dev/null 2>&1
@@ -783,14 +778,14 @@
then
[ ! -e ${CHROOT}/dev/console ] && mknod ${CHROOT}/dev/console c 5 1
[ ! -e ${CHROOT}/dev/tty1 ] && mknod ${CHROOT}/dev/tty1 c 4 1
- echo -ne "${GOOD}>>${NORMAL}${BOLD} Booting (initramfs)${NORMAL}"
+ echo -ne "${GOOD}>>${NORMAL}${BOLD} Booting (initramfs)"
cd ${CHROOT}
mkdir ${CHROOT}/proc ${CHROOT}/sys 2>/dev/null
- echo -ne "${BOLD}.${NORMAL}"
+ echo -n '.'
umount /sys || echo '*: Failed to unmount the initrd /sys!'
umount /proc || echo '*: Failed to unmount the initrd /proc!'
- echo -e "${BOLD}.${NORMAL}"
+ echo -n '.'
exec switch_root -c "/dev/console" "${CHROOT}" ${REAL_INIT:-/sbin/init} ${INIT_OPTS}
fi

View file

@ -1,73 +0,0 @@
# genkernel (8) completion
# Copyright 2006 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# Written by Aron Griffis <agriffis@gentoo.org>
_genkernel()
{
declare cur prev genkernel_help actions params
COMPREPLY=()
cur=${COMP_WORDS[COMP_CWORD]}
prev=${COMP_WORDS[COMP_CWORD-1]}
# extract initial list of params/actions from genkernel --help
genkernel_help=$(command genkernel --help)
actions=( $(<<<"$genkernel_help" sed -n \
'/^Available Actions:/,/^$/s/^[[:space:]]\+\([^[:space:]]\+\).*/\1/p') )
params=( $(<<<"$genkernel_help" egrep -oe '--[^[:space:]]{2,}') )
# attempt to complete the current parameter based on the list
COMPREPLY=($(compgen -W "${params[*]/=*/=} ${actions[*]}" -- "$cur"))
# if we don't have a rhs to complete
if [[ ${#COMPREPLY[@]} -gt 1 ]]; then
return
elif [[ ${#COMPREPLY[@]} -eq 0 && $cur != --*=* ]]; then
return
elif [[ ${#COMPREPLY[@]} -eq 1 && $COMPREPLY != --*= ]]; then
# using nospace completion, add an explicit space
COMPREPLY="${COMPREPLY} "
return
fi
# we have a unique lhs and need to complete the rhs
declare args lhs rhs
if [[ ${#COMPREPLY[@]} -eq 1 ]]; then
lhs=$COMPREPLY
else
lhs=${cur%%=*}=
rhs=${cur#*=}
fi
# genkernel's help gives clues as to what belongs on the rhs.
# extract the clue for the current parameter
args=" ${params[*]} "
args="${args##* $lhs}"
args="${args%% *}"
# generate a list of completions for the argument; this replaces args with
# an array of results
args=( $(case $args in
('<0-5>') compgen -W "$(echo {1..5})" -- "$rhs" ;;
('<outfile>'|'<file>') compgen -A file -o plusdirs -- "$rhs" ;;
('<dir>') compgen -A directory -S / -- "$rhs" ;;
('<tbz2>') compgen -G '*.tbz2' -G '*.tar.bz2' -o plusdirs -- "$rhs" ;;
(*) compgen -o bashdefault -- "$rhs" ;; # punt
esac) )
# we're using nospace completion to prevent spaces after paths that aren't
# "done" yet. So do some hacking to the args to add spaces after
# non-directories.
declare slash=/
args=( "${args[@]/%/ }" ) # add space to all
args=( "${args[@]/%$slash /$slash}" ) # remove space from dirs
# recreate COMPREPLY
if [[ $cur == "$lhs"* ]]; then
COMPREPLY=( "${args[@]}" )
elif [[ ${#args[@]} -gt 0 ]]; then
COMPREPLY=( "${args[@]/#/$lhs}" )
fi
}
complete -o nospace -F _genkernel genkernel

View file

@ -1,124 +0,0 @@
# Copyright 1999-2008 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/sys-kernel/genkernel/genkernel-3.4.10-r2.ebuild,v 1.2 2008/11/15 15:50:33 kingtaco Exp $
# genkernel-9999 -> latest SVN
# genkernel-9999.REV -> use SVN REV
# genkernel-VERSION -> normal genkernel release
VERSION_BUSYBOX='1.7.4'
VERSION_DMAP='1.02.22'
VERSION_DMRAID='1.0.0.rc14'
VERSION_E2FSPROGS='1.39'
VERSION_LVM='2.02.28'
MY_HOME="http://dev.pentoo.ch/~grimmlin"
RH_HOME="ftp://sources.redhat.com/pub"
DM_HOME="http://people.redhat.com/~heinzm/sw/dmraid/src"
BB_HOME="http://www.busybox.net/downloads"
COMMON_URI="${DM_HOME}/dmraid-${VERSION_DMRAID}.tar.bz2
${DM_HOME}/old/dmraid-${VERSION_DMRAID}.tar.bz2
${RH_HOME}/lvm2/LVM2.${VERSION_LVM}.tgz
${RH_HOME}/lvm2/old/LVM2.${VERSION_LVM}.tgz
${RH_HOME}/dm/device-mapper.${VERSION_DMAP}.tgz
${RH_HOME}/dm/old/device-mapper.${VERSION_DMAP}.tgz
${BB_HOME}/busybox-${VERSION_BUSYBOX}.tar.bz2
mirror://sourceforge/e2fsprogs/e2fsprogs-${VERSION_E2FSPROGS}.tar.gz"
if [[ ${PV} == 9999* ]]
then
[[ ${PV} == 9999.* ]] && ESVN_UPDATE_CMD="svn up -r ${PV/9999./}"
ESVN_REPO_URI="svn://anonsvn.gentoo.org/genkernel/trunk"
inherit subversion bash-completion eutils
S=${WORKDIR}/trunk
SRC_URI="${COMMON_URI}"
else
inherit bash-completion eutils
SRC_URI="${MY_HOME}/genkernel/${P}.tar.bz2
${COMMON_URI}"
fi
DESCRIPTION="Gentoo automatic kernel building scripts"
HOMEPAGE="http://trac.pentoo.ch/wiki/Genkernel"
LICENSE="GPL-2"
SLOT="0"
RESTRICT=""
# Please don't touch individual KEYWORDS. Since this is maintained/tested by
# Release Engineering, it's easier for us to deal with all arches at once.
#KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sparc ~x86"
KEYWORDS="alpha amd64 arm hppa ia64 ~mips ppc ppc64 s390 sparc x86"
#KEYWORDS=""
IUSE="ibm selinux"
DEPEND="sys-fs/e2fsprogs
selinux? ( sys-libs/libselinux )"
RDEPEND="${DEPEND} app-arch/cpio"
src_unpack() {
if [[ ${PV} == 9999* ]] ; then
subversion_src_unpack
else
unpack ${P}.tar.bz2
fi
use selinux && sed -i 's/###//g' "${S}"/gen_compile.sh
}
src_install() {
# This block updates genkernel.conf
sed -e "s:VERSION_DMAP:$VERSION_DMAP:" \
-e "s:VERSION_DMRAID:$VERSION_DMRAID:" \
-e "s:VERSION_E2FSPROGS:$VERSION_E2FSPROGS:" \
-e "s:VERSION_LVM:$VERSION_LVM:" \
-e "s:VERSION_BUSYBOX:$VERSION_BUSYBOX:" \
"${S}"/genkernel.conf > "${T}"/genkernel.conf \
|| die "Could not adjust versions"
insinto /etc
doins "${T}"/genkernel.conf || die "doins genkernel.conf"
doman genkernel.8 || die "doman"
dodoc AUTHORS ChangeLog README TODO || die "dodoc"
dobin genkernel || die "dobin genkernel"
rm -f genkernel genkernel.8 AUTHORS ChangeLog README TODO genkernel.conf
insinto /usr/share/genkernel
doins -r "${S}"/* || die "doins"
use ibm && cp "${S}"/ppc64/kernel-2.6-pSeries "${S}"/ppc64/kernel-2.6 || \
cp "${S}"/ppc64/kernel-2.6.g5 "${S}"/ppc64/kernel-2.6
# Copy files to /var/cache/genkernel/src
elog "Copying files to /var/cache/genkernel/src..."
mkdir -p "${D}"/var/cache/genkernel/src
cp -f \
"${DISTDIR}"/dmraid-${VERSION_DMRAID}.tar.bz2 \
"${DISTDIR}"/LVM2.${VERSION_LVM}.tgz \
"${DISTDIR}"/device-mapper.${VERSION_DMAP}.tgz \
"${DISTDIR}"/e2fsprogs-${VERSION_E2FSPROGS}.tar.gz \
"${DISTDIR}"/busybox-${VERSION_BUSYBOX}.tar.bz2 \
"${D}"/var/cache/genkernel/src || die "Copying distfiles..."
dobashcompletion "${FILESDIR}"/genkernel.bash
}
pkg_postinst() {
echo
elog 'Documentation is available in the genkernel manual page'
elog 'as well as the following URL:'
echo
elog 'http://www.gentoo.org/doc/en/genkernel.xml'
echo
ewarn "This package is known to not work with reiser4. If you are running"
ewarn "reiser4 and have a problem, do not file a bug. We know it does not"
ewarn "work and we don't plan on fixing it since reiser4 is the one that is"
ewarn "broken in this regard. Try using a sane filesystem like ext3 or"
ewarn "even reiser3."
echo
ewarn "The LUKS support has changed from versions prior to 3.4.4. Now,"
ewarn "you use crypt_root=/dev/blah instead of real_root=luks:/dev/blah."
echo
bash-completion_pkg_postinst
}

View file

@ -1,124 +0,0 @@
# Copyright 1999-2008 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/sys-kernel/genkernel/genkernel-3.4.10-r2.ebuild,v 1.2 2008/11/15 15:50:33 kingtaco Exp $
# genkernel-9999 -> latest SVN
# genkernel-9999.REV -> use SVN REV
# genkernel-VERSION -> normal genkernel release
VERSION_BUSYBOX='1.7.4'
VERSION_DMAP='1.02.22'
VERSION_DMRAID='1.0.0.rc14'
VERSION_E2FSPROGS='1.40.9'
VERSION_LVM='2.02.28'
MY_HOME="http://dev.pentoo.ch/~grimmlin"
RH_HOME="ftp://sources.redhat.com/pub"
DM_HOME="http://people.redhat.com/~heinzm/sw/dmraid/src"
BB_HOME="http://www.busybox.net/downloads"
COMMON_URI="${DM_HOME}/dmraid-${VERSION_DMRAID}.tar.bz2
${DM_HOME}/old/dmraid-${VERSION_DMRAID}.tar.bz2
${RH_HOME}/lvm2/LVM2.${VERSION_LVM}.tgz
${RH_HOME}/lvm2/old/LVM2.${VERSION_LVM}.tgz
${RH_HOME}/dm/device-mapper.${VERSION_DMAP}.tgz
${RH_HOME}/dm/old/device-mapper.${VERSION_DMAP}.tgz
${BB_HOME}/busybox-${VERSION_BUSYBOX}.tar.bz2
mirror://sourceforge/e2fsprogs/e2fsprogs-${VERSION_E2FSPROGS}.tar.gz"
if [[ ${PV} == 9999* ]]
then
[[ ${PV} == 9999.* ]] && ESVN_UPDATE_CMD="svn up -r ${PV/9999./}"
ESVN_REPO_URI="svn://anonsvn.gentoo.org/genkernel/trunk"
inherit subversion bash-completion eutils
S=${WORKDIR}/trunk
SRC_URI="${COMMON_URI}"
else
inherit bash-completion eutils
SRC_URI="${MY_HOME}/genkernel/${P}.tar.bz2
${COMMON_URI}"
fi
DESCRIPTION="Gentoo automatic kernel building scripts"
HOMEPAGE="http://trac.pentoo.ch/wiki/Genkernel"
LICENSE="GPL-2"
SLOT="0"
RESTRICT=""
# Please don't touch individual KEYWORDS. Since this is maintained/tested by
# Release Engineering, it's easier for us to deal with all arches at once.
#KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sparc ~x86"
KEYWORDS="alpha amd64 arm hppa ia64 ~mips ppc ppc64 s390 sparc x86"
#KEYWORDS=""
IUSE="ibm selinux"
DEPEND="sys-fs/e2fsprogs
selinux? ( sys-libs/libselinux )"
RDEPEND="${DEPEND} app-arch/cpio"
src_unpack() {
if [[ ${PV} == 9999* ]] ; then
subversion_src_unpack
else
unpack ${P}.tar.bz2
fi
use selinux && sed -i 's/###//g' "${S}"/gen_compile.sh
}
src_install() {
# This block updates genkernel.conf
sed -e "s:VERSION_DMAP:$VERSION_DMAP:" \
-e "s:VERSION_DMRAID:$VERSION_DMRAID:" \
-e "s:VERSION_E2FSPROGS:$VERSION_E2FSPROGS:" \
-e "s:VERSION_LVM:$VERSION_LVM:" \
-e "s:VERSION_BUSYBOX:$VERSION_BUSYBOX:" \
"${S}"/genkernel.conf > "${T}"/genkernel.conf \
|| die "Could not adjust versions"
insinto /etc
doins "${T}"/genkernel.conf || die "doins genkernel.conf"
doman genkernel.8 || die "doman"
dodoc AUTHORS ChangeLog README TODO || die "dodoc"
dobin genkernel || die "dobin genkernel"
rm -f genkernel genkernel.8 AUTHORS ChangeLog README TODO genkernel.conf
insinto /usr/share/genkernel
doins -r "${S}"/* || die "doins"
use ibm && cp "${S}"/ppc64/kernel-2.6-pSeries "${S}"/ppc64/kernel-2.6 || \
cp "${S}"/ppc64/kernel-2.6.g5 "${S}"/ppc64/kernel-2.6
# Copy files to /var/cache/genkernel/src
elog "Copying files to /var/cache/genkernel/src..."
mkdir -p "${D}"/var/cache/genkernel/src
cp -f \
"${DISTDIR}"/dmraid-${VERSION_DMRAID}.tar.bz2 \
"${DISTDIR}"/LVM2.${VERSION_LVM}.tgz \
"${DISTDIR}"/device-mapper.${VERSION_DMAP}.tgz \
"${DISTDIR}"/e2fsprogs-${VERSION_E2FSPROGS}.tar.gz \
"${DISTDIR}"/busybox-${VERSION_BUSYBOX}.tar.bz2 \
"${D}"/var/cache/genkernel/src || die "Copying distfiles..."
dobashcompletion "${FILESDIR}"/genkernel.bash
}
pkg_postinst() {
echo
elog 'Documentation is available in the genkernel manual page'
elog 'as well as the following URL:'
echo
elog 'http://www.gentoo.org/doc/en/genkernel.xml'
echo
ewarn "This package is known to not work with reiser4. If you are running"
ewarn "reiser4 and have a problem, do not file a bug. We know it does not"
ewarn "work and we don't plan on fixing it since reiser4 is the one that is"
ewarn "broken in this regard. Try using a sane filesystem like ext3 or"
ewarn "even reiser3."
echo
ewarn "The LUKS support has changed from versions prior to 3.4.4. Now,"
ewarn "you use crypt_root=/dev/blah instead of real_root=luks:/dev/blah."
echo
bash-completion_pkg_postinst
}

View file

@ -1,102 +0,0 @@
# Copyright 1999-2008 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/sys-kernel/genkernel/genkernel-3.4.9.ebuild,v 1.2 2008/01/14 19:43:54 wolf31o2 Exp $
inherit bash-completion eutils
VERSION_DMAP='1.02.22'
VERSION_DMRAID='1.0.0.rc14'
VERSION_E2FSPROGS='1.39'
VERSION_LVM='2.02.28'
VERSION_PKG='3.4-r3'
VERSION_UNIONFS='1.5pre-cvs200701042308'
DESCRIPTION="Gentoo automatic kernel building scripts"
HOMEPAGE="http://trac.pentoo.ch/wiki/Genkernel"
SRC_URI="http://dev.pentoo.ch/~grimmlin/genkernel/${P}.tar.bz2
mirror://gentoo/${PN}-pkg-${VERSION_PKG}.tar.bz2
http://dev.gentoo.org/~wolf31o2/sources/${PN}/${PN}-pkg-${VERSION_PKG}.tar.bz2
http://people.redhat.com/~heinzm/sw/dmraid/src/dmraid-${VERSION_DMRAID}.tar.bz2
http://people.redhat.com/~heinzm/sw/dmraid/src/old/dmraid-${VERSION_DMRAID}.tar.bz2
ftp://sources.redhat.com/pub/lvm2/LVM2.${VERSION_LVM}.tgz
ftp://sources.redhat.com/pub/lvm2/old/LVM2.${VERSION_LVM}.tgz
ftp://sources.redhat.com/pub/dm/device-mapper.${VERSION_DMAP}.tgz
ftp://sources.redhat.com/pub/dm/old/device-mapper.${VERSION_DMAP}.tgz
ftp://ftp.fsl.cs.sunysb.edu/pub/unionfs/unionfs-1.x/snapshots/unionfs-${VERSION_UNIONFS}.tar.gz
mirror://sourceforge/e2fsprogs/e2fsprogs-${VERSION_E2FSPROGS}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
RESTRICT=""
# Please don't touch individual KEYWORDS. Since this is maintained/tested by
# Release Engineering, it's easier for us to deal with all arches at once.
#KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sparc ~x86"
KEYWORDS="alpha amd64 arm hppa ia64 mips ppc ppc64 s390 sparc x86"
IUSE="ibm selinux"
DEPEND="sys-fs/e2fsprogs
selinux? ( sys-libs/libselinux )"
RDEPEND="${DEPEND} app-arch/cpio"
src_unpack() {
unpack ${P}.tar.bz2
cd "${S}"
unpack ${PN}-pkg-${VERSION_PKG}.tar.bz2
use selinux && sed -i 's/###//g' gen_compile.sh
# epatch "${FILESDIR}"/${P}-regress.patch
}
src_install() {
dodir /etc
cp "${S}"/genkernel.conf "${D}"/etc
# This block updates genkernel.conf
sed -i -e "s:VERSION_DMAP:$VERSION_DMAP:" \
-e "s:VERSION_DMRAID:$VERSION_DMRAID:" \
-e "s:VERSION_E2FSPROGS:$VERSION_E2FSPROGS:" \
-e "s:VERSION_LVM:$VERSION_LVM:" \
-e "s:VERSION_UNIONFS:$VERSION_UNIONFS:" \
"${D}"/etc/genkernel.conf || die "Could not adjust versions"
dodir /usr/share/genkernel
use ibm && cp "${S}"/ppc64/kernel-2.6-pSeries "${S}"/ppc64/kernel-2.6 || \
cp "${S}"/ppc64/kernel-2.6.g5 "${S}"/ppc64/kernel-2.6
cp -Rp "${S}"/* "${D}"/usr/share/genkernel
dodir /usr/bin
dosym /usr/share/genkernel/genkernel /usr/bin/genkernel
rm -f "${D}"/usr/share/genkernel/genkernel.conf
dodoc README
doman genkernel.8
rm genkernel.8
cp "${DISTDIR}"/dmraid-${VERSION_DMRAID}.tar.bz2 \
"${DISTDIR}"/LVM2.${VERSION_LVM}.tgz \
"${DISTDIR}"/device-mapper.${VERSION_DMAP}.tgz \
"${DISTDIR}"/unionfs-${VERSION_UNIONFS}.tar.gz \
"${DISTDIR}"/e2fsprogs-${VERSION_E2FSPROGS}.tar.gz \
"${D}"/usr/share/genkernel/pkg
dobashcompletion "${FILESDIR}"/genkernel.bash
}
pkg_postinst() {
echo
elog 'Documentation is available in the genkernel manual page'
elog 'as well as the following URL:'
echo
elog 'http://www.gentoo.org/doc/en/genkernel.xml'
echo
ewarn "This package is known to not work with reiser4. If you are running"
ewarn "reiser4 and have a problem, do not file a bug. We know it does not"
ewarn "work and we don't plan on fixing it since reiser4 is the one that is"
ewarn "broken in this regard. Try using a sane filesystem like ext3 or"
ewarn "even reiser3."
echo
ewarn "The LUKS support has changed from versions prior to 3.4.4. Now,"
ewarn "you use crypt_root=/dev/blah instead of real_root=luks:/dev/blah."
echo
bash-completion_pkg_postinst
}

View file

@ -1,127 +0,0 @@
# Copyright 1999-2008 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: Exp $
# genkernel-9999 -> latest SVN
# genkernel-9999.REV -> use SVN REV
# genkernel-VERSION -> normal genkernel release
EAPI="2"
VERSION_BUSYBOX='1.7.4'
VERSION_DMAP='1.02.22'
VERSION_DMRAID='1.0.0.rc14'
VERSION_E2FSPROGS='1.40.9'
VERSION_LVM='2.02.28'
MY_HOME="http://dev.pentoo.ch/~grimmlin"
RH_HOME="ftp://sources.redhat.com/pub"
DM_HOME="http://people.redhat.com/~heinzm/sw/dmraid/src"
BB_HOME="http://www.busybox.net/downloads"
COMMON_URI="${DM_HOME}/dmraid-${VERSION_DMRAID}.tar.bz2
${DM_HOME}/old/dmraid-${VERSION_DMRAID}.tar.bz2
${RH_HOME}/lvm2/LVM2.${VERSION_LVM}.tgz
${RH_HOME}/lvm2/old/LVM2.${VERSION_LVM}.tgz
${RH_HOME}/dm/device-mapper.${VERSION_DMAP}.tgz
${RH_HOME}/dm/old/device-mapper.${VERSION_DMAP}.tgz
${BB_HOME}/busybox-${VERSION_BUSYBOX}.tar.bz2
mirror://sourceforge/e2fsprogs/e2fsprogs-${VERSION_E2FSPROGS}.tar.gz"
if [[ ${PV} == 9999* ]]
then
[[ ${PV} == 9999.* ]] && ESVN_UPDATE_CMD="svn up -r ${PV/9999./}"
ESVN_REPO_URI="https://www.pentoo.ch/svn/genkernel/trunk"
inherit subversion bash-completion eutils
S=${WORKDIR}/trunk
SRC_URI="${COMMON_URI}"
else
inherit bash-completion eutils
SRC_URI="${MY_HOME}/genkernel/${P}.tar.bz2
${COMMON_URI}"
fi
DESCRIPTION="Gentoo automatic kernel building scripts"
HOMEPAGE="http://trac.pentoo.ch/wiki/Genkernel"
LICENSE="GPL-2"
SLOT="0"
RESTRICT=""
# Please don't touch individual KEYWORDS. Since this is maintained/tested by
# Release Engineering, it's easier for us to deal with all arches at once.
#KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sparc ~x86"
KEYWORDS="alpha amd64 arm hppa ia64 ~mips ppc ppc64 s390 sparc x86"
#KEYWORDS=""
IUSE="ibm selinux +pentoo +crypt"
DEPEND="sys-fs/e2fsprogs
selinux? ( sys-libs/libselinux )"
RDEPEND="${DEPEND} app-arch/cpio
crypt? ( <app-crypt/gnupg-2[static]
sys-fs/cryptsetup[-dynamic] )"
src_unpack() {
if [[ ${PV} == 9999* ]] ; then
subversion_src_unpack
else
unpack ${P}.tar.bz2
fi
use selinux && sed -i 's/###//g' "${S}"/gen_compile.sh
}
src_install() {
# This block updates genkernel.conf
sed -e "s:VERSION_DMAP:$VERSION_DMAP:" \
-e "s:VERSION_DMRAID:$VERSION_DMRAID:" \
-e "s:VERSION_E2FSPROGS:$VERSION_E2FSPROGS:" \
-e "s:VERSION_LVM:$VERSION_LVM:" \
-e "s:VERSION_BUSYBOX:$VERSION_BUSYBOX:" \
"${S}"/genkernel.conf > "${T}"/genkernel.conf \
|| die "Could not adjust versions"
insinto /etc
doins "${T}"/genkernel.conf || die "doins genkernel.conf"
doman genkernel.8 || die "doman"
dodoc AUTHORS ChangeLog README TODO || die "dodoc"
dobin genkernel || die "dobin genkernel"
rm -f genkernel genkernel.8 AUTHORS ChangeLog README TODO genkernel.conf
insinto /usr/share/genkernel
doins -r "${S}"/* || die "doins"
use ibm && cp "${S}"/ppc64/kernel-2.6-pSeries "${S}"/ppc64/kernel-2.6 || \
cp "${S}"/ppc64/kernel-2.6.g5 "${S}"/ppc64/kernel-2.6
# Copy files to /var/cache/genkernel/src
elog "Copying files to /var/cache/genkernel/src..."
mkdir -p "${D}"/var/cache/genkernel/src
cp -f \
"${DISTDIR}"/dmraid-${VERSION_DMRAID}.tar.bz2 \
"${DISTDIR}"/LVM2.${VERSION_LVM}.tgz \
"${DISTDIR}"/device-mapper.${VERSION_DMAP}.tgz \
"${DISTDIR}"/e2fsprogs-${VERSION_E2FSPROGS}.tar.gz \
"${DISTDIR}"/busybox-${VERSION_BUSYBOX}.tar.bz2 \
"${D}"/var/cache/genkernel/src || die "Copying distfiles..."
dobashcompletion "${FILESDIR}"/genkernel.bash
}
pkg_postinst() {
echo
elog 'Documentation is available in the genkernel manual page'
elog 'as well as the following URL:'
echo
elog 'http://www.gentoo.org/doc/en/genkernel.xml'
echo
ewarn "This package is known to not work with reiser4. If you are running"
ewarn "reiser4 and have a problem, do not file a bug. We know it does not"
ewarn "work and we don't plan on fixing it since reiser4 is the one that is"
ewarn "broken in this regard. Try using a sane filesystem like ext3 or"
ewarn "even reiser3."
echo
ewarn "The LUKS support has changed from versions prior to 3.4.4. Now,"
ewarn "you use crypt_root=/dev/blah instead of real_root=luks:/dev/blah."
echo
bash-completion_pkg_postinst
}

View file

@ -1,11 +1,10 @@
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/sys-kernel/genkernel/genkernel-3.4.16.ebuild,v 1.4 2011/07/26 21:17:54 maekke Exp $
# $Header: /var/cvsroot/gentoo-x86/sys-kernel/genkernel/genkernel-3.4.16.ebuild,v 1.7 2011/10/03 19:47:58 josejx Exp $
# genkernel-9999 -> latest Git branch "master"
# genkernel-VERSION -> normal genkernel release
EAPI="2"
VERSION_BUSYBOX='1.18.1'
VERSION_DMAP='1.02.22'
VERSION_DMRAID='1.0.0.rc14'
@ -17,7 +16,7 @@ VERSION_LVM='2.02.74'
VERSION_UNIONFS_FUSE='0.22'
VERSION_GPG='1.4.11'
MY_HOME="http://dev.pentoo.ch/~grimmlin"
MY_HOME="http://wolf31o2.org"
RH_HOME="ftp://sources.redhat.com/pub"
DM_HOME="http://people.redhat.com/~heinzm/sw/dmraid/src"
BB_HOME="http://www.busybox.net/downloads"
@ -36,6 +35,7 @@ COMMON_URI="${DM_HOME}/dmraid-${VERSION_DMRAID}.tar.bz2
http://podgorny.cz/unionfs-fuse/releases/unionfs-fuse-${VERSION_UNIONFS_FUSE}.tar.bz2
mirror://gnupg/gnupg/gnupg-${VERSION_GPG}.tar.bz2"
if [[ ${PV} == 9999* ]]
then
[[ ${PV} == 9999.* ]] && ESVN_UPDATE_CMD="svn up -r ${PV/9999./}"
@ -43,44 +43,31 @@ then
inherit subversion bash-completion eutils
S=${WORKDIR}/trunk
SRC_URI="${COMMON_URI}"
KEYWORDS="~alpha amd64 arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sparc x86"
else
if [[ ${PV} == 3.4.16 ]]
then
ESVN_REPO_URI="https://www.pentoo.ch/svn/genkernel/branches/v3.4.16"
inherit subversion bash-completion eutils
S=${WORKDIR}/v3.4.16
SRC_URI="${COMMON_URI}"
KEYWORDS="~alpha amd64 arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sparc x86"
else
inherit bash-completion eutils
SRC_URI="${MY_HOME}/genkernel/${P}.tar.bz2
${COMMON_URI}"
# Please don't touch individual KEYWORDS. Since this is maintained/tested by
# Release Engineering, it's easier for us to deal with all arches at once.
KEYWORDS="~alpha amd64 arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sparc x86"
fi
inherit bash-completion eutils
SRC_URI="${MY_HOME}/genkernel/${P}.tar.bz2
${COMMON_URI}"
fi
DESCRIPTION="Gentoo automatic kernel building scripts"
HOMEPAGE="http://www.gentoo.org"
DESCRIPTION="Gentoo automatic kernel building scripts with pentoo patches"
HOMEPAGE="http://trac.pentoo.ch/wiki/Genkernel"
LICENSE="GPL-2"
SLOT="0"
RESTRICT=""
IUSE="ibm selinux +pentoo +crypt"
IUSE="ibm selinux"
KEYWORDS="~alpha amd64 arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sparc x86"
DEPEND="sys-fs/e2fsprogs
selinux? ( sys-libs/libselinux )"
RDEPEND="${DEPEND} app-arch/cpio
crypt? ( sys-fs/cryptsetup[-dynamic] )"
RDEPEND="${DEPEND} app-arch/cpio"
#if [[ ${PV} == 9999* ]]; then
# DEPEND="${DEPEND} app-text/asciidoc"
#fi
if [[ ${PV} == 9999* ]]; then
DEPEND="${DEPEND} app-text/asciidoc"
fi
src_unpack() {
if [[ ${PV} == 9999* || ${PV} == 3.4.16 ]] ; then
if [[ ${PV} == 9999* ]] ; then
subversion_src_unpack
else
unpack ${P}.tar.bz2
@ -89,7 +76,7 @@ src_unpack() {
}
src_compile() {
if [[ ${PV} == 9999* || ${PV} == 3.4.16 ]]; then
if [[ ${PV} == 9999* ]]; then
emake || die
fi
}

View file

@ -1,34 +1,41 @@
# Copyright 1999-2008 Gentoo Foundation
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: Exp $
# $Header: /var/cvsroot/gentoo-x86/sys-kernel/genkernel/genkernel-3.4.16.ebuild,v 1.7 2011/10/03 19:47:58 josejx Exp $
# genkernel-9999 -> latest SVN
# genkernel-9999.REV -> use SVN REV
# genkernel-9999 -> latest Git branch "master"
# genkernel-VERSION -> normal genkernel release
EAPI="2"
VERSION_BUSYBOX='1.7.4'
VERSION_BUSYBOX='1.18.1'
VERSION_DMAP='1.02.22'
VERSION_DMRAID='1.0.0.rc14'
VERSION_E2FSPROGS='1.40.9'
VERSION_LVM='2.02.28'
VERSION_MDADM='3.1.4'
VERSION_E2FSPROGS='1.41.14'
VERSION_FUSE='2.7.4'
VERSION_ISCSI='2.0-872'
VERSION_LVM='2.02.74'
VERSION_UNIONFS_FUSE='0.22'
VERSION_GPG='1.4.11'
MY_HOME="http://dev.pentoo.ch/~grimmlin"
MY_HOME="http://wolf31o2.org"
RH_HOME="ftp://sources.redhat.com/pub"
DM_HOME="http://people.redhat.com/~heinzm/sw/dmraid/src"
BB_HOME="http://www.busybox.net/downloads"
COMMON_URI="${DM_HOME}/dmraid-${VERSION_DMRAID}.tar.bz2
${DM_HOME}/old/dmraid-${VERSION_DMRAID}.tar.bz2
mirror://kernel/linux/utils/raid/mdadm/mdadm-${VERSION_MDADM}.tar.bz2
${RH_HOME}/lvm2/LVM2.${VERSION_LVM}.tgz
${RH_HOME}/lvm2/old/LVM2.${VERSION_LVM}.tgz
${RH_HOME}/dm/device-mapper.${VERSION_DMAP}.tgz
${RH_HOME}/dm/old/device-mapper.${VERSION_DMAP}.tgz
${BB_HOME}/busybox-${VERSION_BUSYBOX}.tar.bz2
mirror://kernel/linux/kernel/people/mnc/open-iscsi/releases/open-iscsi-${VERSION_ISCSI}.tar.gz
mirror://sourceforge/e2fsprogs/e2fsprogs-${VERSION_E2FSPROGS}.tar.gz
mirror://sourceforge/fuse/fuse-${VERSION_FUSE}.tar.gz
http://podgorny.cz/unionfs-fuse/releases/unionfs-fuse-${VERSION_UNIONFS_FUSE}.tar.bz2
mirror://gnupg/gnupg/gnupg-${VERSION_GPG}.tar.bz2"
if [[ ${PV} == 9999* ]]
then
[[ ${PV} == 9999.* ]] && ESVN_UPDATE_CMD="svn up -r ${PV/9999./}"
@ -42,23 +49,22 @@ else
${COMMON_URI}"
fi
DESCRIPTION="Gentoo automatic kernel building scripts"
DESCRIPTION="Gentoo automatic kernel building scripts with pentoo patches"
HOMEPAGE="http://trac.pentoo.ch/wiki/Genkernel"
LICENSE="GPL-2"
SLOT="0"
RESTRICT=""
# Please don't touch individual KEYWORDS. Since this is maintained/tested by
# Release Engineering, it's easier for us to deal with all arches at once.
IUSE="ibm selinux"
KEYWORDS="~alpha amd64 arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sparc x86"
#KEYWORDS="alpha amd64 arm hppa ia64 ~mips ppc ppc64 s390 sparc x86"
#KEYWORDS=""
IUSE="ibm selinux +pentoo +crypt"
DEPEND="sys-fs/e2fsprogs
selinux? ( sys-libs/libselinux )"
RDEPEND="${DEPEND} app-arch/cpio
crypt? ( sys-fs/cryptsetup[-dynamic] )"
RDEPEND="${DEPEND} app-arch/cpio"
if [[ ${PV} == 9999* ]]; then
DEPEND="${DEPEND} app-text/asciidoc"
fi
src_unpack() {
if [[ ${PV} == 9999* ]] ; then
@ -69,13 +75,24 @@ src_unpack() {
use selinux && sed -i 's/###//g' "${S}"/gen_compile.sh
}
src_compile() {
if [[ ${PV} == 9999* ]]; then
emake || die
fi
}
src_install() {
# This block updates genkernel.conf
sed -e "s:VERSION_DMAP:$VERSION_DMAP:" \
sed \
-e "s:VERSION_BUSYBOX:$VERSION_BUSYBOX:" \
-e "s:VERSION_DMAP:$VERSION_DMAP:" \
-e "s:VERSION_MDADM:$VERSION_MDADM:" \
-e "s:VERSION_DMRAID:$VERSION_DMRAID:" \
-e "s:VERSION_E2FSPROGS:$VERSION_E2FSPROGS:" \
-e "s:VERSION_FUSE:$VERSION_FUSE:" \
-e "s:VERSION_ISCSI:$VERSION_ISCSI:" \
-e "s:VERSION_LVM:$VERSION_LVM:" \
-e "s:VERSION_BUSYBOX:$VERSION_BUSYBOX:" \
-e "s:VERSION_UNIONFS_FUSE:$VERSION_UNIONFS_FUSE:" \
-e "s:VERSION_GPG:$VERSION_GPG:" \
"${S}"/genkernel.conf > "${T}"/genkernel.conf \
|| die "Could not adjust versions"
@ -92,18 +109,22 @@ src_install() {
insinto /usr/share/genkernel
doins -r "${S}"/* || die "doins"
use ibm && cp "${S}"/ppc64/kernel-2.6-pSeries "${S}"/ppc64/kernel-2.6 || \
cp "${S}"/ppc64/kernel-2.6.g5 "${S}"/ppc64/kernel-2.6
cp "${S}"/arch/ppc64/kernel-2.6.g5 "${S}"/arch/ppc64/kernel-2.6
# Copy files to /var/cache/genkernel/src
elog "Copying files to /var/cache/genkernel/src..."
mkdir -p "${D}"/var/cache/genkernel/src
cp -f \
"${DISTDIR}"/mdadm-${VERSION_MDADM}.tar.bz2 \
"${DISTDIR}"/dmraid-${VERSION_DMRAID}.tar.bz2 \
"${DISTDIR}"/LVM2.${VERSION_LVM}.tgz \
"${DISTDIR}"/device-mapper.${VERSION_DMAP}.tgz \
"${DISTDIR}"/e2fsprogs-${VERSION_E2FSPROGS}.tar.gz \
"${DISTDIR}"/busybox-${VERSION_BUSYBOX}.tar.bz2 \
"${DISTDIR}"/fuse-${VERSION_FUSE}.tar.gz \
"${DISTDIR}"/unionfs-fuse-${VERSION_UNIONFS_FUSE}.tar.bz2 \
"${DISTDIR}"/gnupg-${VERSION_GPG}.tar.bz2 \
"${DISTDIR}"/open-iscsi-${VERSION_ISCSI}.tar.gz \
"${D}"/var/cache/genkernel/src || die "Copying distfiles..."
dobashcompletion "${FILESDIR}"/genkernel.bash

View file

@ -1,34 +1,41 @@
# Copyright 1999-2008 Gentoo Foundation
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: Exp $
# $Header: /var/cvsroot/gentoo-x86/sys-kernel/genkernel/genkernel-3.4.16.ebuild,v 1.7 2011/10/03 19:47:58 josejx Exp $
# genkernel-9999 -> latest SVN
# genkernel-9999.REV -> use SVN REV
# genkernel-9999 -> latest Git branch "master"
# genkernel-VERSION -> normal genkernel release
EAPI="2"
VERSION_BUSYBOX='1.7.4'
VERSION_BUSYBOX='1.18.1'
VERSION_DMAP='1.02.22'
VERSION_DMRAID='1.0.0.rc14'
VERSION_E2FSPROGS='1.40.9'
VERSION_LVM='2.02.28'
VERSION_MDADM='3.1.4'
VERSION_E2FSPROGS='1.41.14'
VERSION_FUSE='2.7.4'
VERSION_ISCSI='2.0-872'
VERSION_LVM='2.02.74'
VERSION_UNIONFS_FUSE='0.22'
VERSION_GPG='1.4.11'
MY_HOME="http://dev.pentoo.ch/~grimmlin"
MY_HOME="http://wolf31o2.org"
RH_HOME="ftp://sources.redhat.com/pub"
DM_HOME="http://people.redhat.com/~heinzm/sw/dmraid/src"
BB_HOME="http://www.busybox.net/downloads"
COMMON_URI="${DM_HOME}/dmraid-${VERSION_DMRAID}.tar.bz2
${DM_HOME}/old/dmraid-${VERSION_DMRAID}.tar.bz2
mirror://kernel/linux/utils/raid/mdadm/mdadm-${VERSION_MDADM}.tar.bz2
${RH_HOME}/lvm2/LVM2.${VERSION_LVM}.tgz
${RH_HOME}/lvm2/old/LVM2.${VERSION_LVM}.tgz
${RH_HOME}/dm/device-mapper.${VERSION_DMAP}.tgz
${RH_HOME}/dm/old/device-mapper.${VERSION_DMAP}.tgz
${BB_HOME}/busybox-${VERSION_BUSYBOX}.tar.bz2
mirror://kernel/linux/kernel/people/mnc/open-iscsi/releases/open-iscsi-${VERSION_ISCSI}.tar.gz
mirror://sourceforge/e2fsprogs/e2fsprogs-${VERSION_E2FSPROGS}.tar.gz
mirror://sourceforge/fuse/fuse-${VERSION_FUSE}.tar.gz
http://podgorny.cz/unionfs-fuse/releases/unionfs-fuse-${VERSION_UNIONFS_FUSE}.tar.bz2
mirror://gnupg/gnupg/gnupg-${VERSION_GPG}.tar.bz2"
if [[ ${PV} == 9999* ]]
then
[[ ${PV} == 9999.* ]] && ESVN_UPDATE_CMD="svn up -r ${PV/9999./}"
@ -42,23 +49,22 @@ else
${COMMON_URI}"
fi
DESCRIPTION="Gentoo automatic kernel building scripts"
DESCRIPTION="Gentoo automatic kernel building scripts with pentoo patches"
HOMEPAGE="http://trac.pentoo.ch/wiki/Genkernel"
LICENSE="GPL-2"
SLOT="0"
RESTRICT=""
# Please don't touch individual KEYWORDS. Since this is maintained/tested by
# Release Engineering, it's easier for us to deal with all arches at once.
IUSE="ibm selinux"
KEYWORDS="~alpha amd64 arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sparc x86"
#KEYWORDS="alpha amd64 arm hppa ia64 ~mips ppc ppc64 s390 sparc x86"
#KEYWORDS=""
IUSE="ibm selinux +pentoo +crypt"
DEPEND="sys-fs/e2fsprogs
selinux? ( sys-libs/libselinux )"
RDEPEND="${DEPEND} app-arch/cpio
crypt? ( sys-fs/cryptsetup[-dynamic] )"
RDEPEND="${DEPEND} app-arch/cpio"
if [[ ${PV} == 9999* ]]; then
DEPEND="${DEPEND} app-text/asciidoc"
fi
src_unpack() {
if [[ ${PV} == 9999* ]] ; then
@ -69,13 +75,24 @@ src_unpack() {
use selinux && sed -i 's/###//g' "${S}"/gen_compile.sh
}
src_compile() {
if [[ ${PV} == 9999* ]]; then
emake || die
fi
}
src_install() {
# This block updates genkernel.conf
sed -e "s:VERSION_DMAP:$VERSION_DMAP:" \
sed \
-e "s:VERSION_BUSYBOX:$VERSION_BUSYBOX:" \
-e "s:VERSION_DMAP:$VERSION_DMAP:" \
-e "s:VERSION_MDADM:$VERSION_MDADM:" \
-e "s:VERSION_DMRAID:$VERSION_DMRAID:" \
-e "s:VERSION_E2FSPROGS:$VERSION_E2FSPROGS:" \
-e "s:VERSION_FUSE:$VERSION_FUSE:" \
-e "s:VERSION_ISCSI:$VERSION_ISCSI:" \
-e "s:VERSION_LVM:$VERSION_LVM:" \
-e "s:VERSION_BUSYBOX:$VERSION_BUSYBOX:" \
-e "s:VERSION_UNIONFS_FUSE:$VERSION_UNIONFS_FUSE:" \
-e "s:VERSION_GPG:$VERSION_GPG:" \
"${S}"/genkernel.conf > "${T}"/genkernel.conf \
|| die "Could not adjust versions"
@ -92,18 +109,22 @@ src_install() {
insinto /usr/share/genkernel
doins -r "${S}"/* || die "doins"
use ibm && cp "${S}"/ppc64/kernel-2.6-pSeries "${S}"/ppc64/kernel-2.6 || \
cp "${S}"/ppc64/kernel-2.6.g5 "${S}"/ppc64/kernel-2.6
cp "${S}"/arch/ppc64/kernel-2.6.g5 "${S}"/arch/ppc64/kernel-2.6
# Copy files to /var/cache/genkernel/src
elog "Copying files to /var/cache/genkernel/src..."
mkdir -p "${D}"/var/cache/genkernel/src
cp -f \
"${DISTDIR}"/mdadm-${VERSION_MDADM}.tar.bz2 \
"${DISTDIR}"/dmraid-${VERSION_DMRAID}.tar.bz2 \
"${DISTDIR}"/LVM2.${VERSION_LVM}.tgz \
"${DISTDIR}"/device-mapper.${VERSION_DMAP}.tgz \
"${DISTDIR}"/e2fsprogs-${VERSION_E2FSPROGS}.tar.gz \
"${DISTDIR}"/busybox-${VERSION_BUSYBOX}.tar.bz2 \
"${DISTDIR}"/fuse-${VERSION_FUSE}.tar.gz \
"${DISTDIR}"/unionfs-fuse-${VERSION_UNIONFS_FUSE}.tar.bz2 \
"${DISTDIR}"/gnupg-${VERSION_GPG}.tar.bz2 \
"${DISTDIR}"/open-iscsi-${VERSION_ISCSI}.tar.gz \
"${D}"/var/cache/genkernel/src || die "Copying distfiles..."
dobashcompletion "${FILESDIR}"/genkernel.bash